# PCGetOperators

Gets the matrix associated with the linear system and possibly a different one associated with the preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetOperators(PC pc,Mat *mat,Mat *pmat,MatStructure *flag)

Not collective, though parallel Mats are returned if the PC is parallel

### Input Parameter

pc -the preconditioner context

### Output Parameters

| mat | - the matrix associated with the linear system
| pmat | - matrix associated with the preconditioner, usually the same as mat.
| flag | - flag indicating information about the preconditioner matrix structure. See PCSetOperators() for details.

### Keywords

PC, get, operators, matrix, linear system

### See Also

PCSetOperators()

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex29.c.html